import java.awt.image.BufferedImage;
import java.io.IOException;
import java.net.URL;
import javax.imageio.ImageIO;
/**/
public class CardResources {
  /**/
  private BufferedImage [] full, partial;
  /**/
  public CardResources () {
    init();
  }
  /**/
  public BufferedImage getImage ( int index ) {
    return full[index];
  }
  /**/
  public BufferedImage getPartialImage ( int index ) {
    return partial[index];
  }
  /**/
  public BufferedImage getEmptyImage () {
    return full[53];
  }
  /**/
  public BufferedImage getPartialBackImage () {
    return partial[52];
  }
  /**/
  private void init () {
    /**/
    int len;
    URL url;
    /**/
    len=Card.CARDS.length;
    full=new BufferedImage [len];
    for ( int i=0; i<len; ++i ) {
      url=MainWindow.class.getResource( "card_images/" + Card.CARDS[i] + ".gif" );
      full[i]=null;
      try { full[i]=ImageIO.read(url); }
      catch ( IOException ioe ) { }
    }
    /**/
    partial=new BufferedImage [len];
    for ( int i=0; i<len; ++i ) {
      url=CardResources.class.getResource( "card_images_partial/" + Card.CARDS[i] + "_partial.gif" );
      partial[i]=null;
      try { partial[i]=ImageIO.read(url); }
      catch ( IOException ioe ) { }
    }
    /**/
    return;
  }
}
