import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import javax.swing.JPanel;
/**/
public class HandPanel extends JPanel {
  /**/
  private CardResources cr;
  private Hand h;
  private MainWindow mw;
  /**/
  public HandPanel ( MainWindow mw ) {
    /**/
    super();
    setFocusable(false);
    setPreferredSize( new Dimension(233,97) );
    /**/
    this.mw=mw;
    h=null;
    cr=mw.getCardResources();
  }
  /**/
  public void setHand ( Hand hand ) {
    h=hand;
    mw.getMainPanel().repaint();
  }
  /**/
  public void paintComponent ( Graphics g ) {
    /**/
    int len, x;
    BufferedImage blank;
    BufferedImage [] bia;
    Card c;
    Card [] ca;
    /**/
    if ( h == null ) {
      blank=cr.getEmptyImage();
      g.drawImage(blank,0,0,this);
    }
    /**/
    ca=h.getCards();
    len=ca.length;
    bia=new BufferedImage [len];
    for ( int i=0; i<len-1; ++i ) {
      c=ca[i];
      if ( c.isDown() ) bia[i]=cr.getPartialBackImage();
      else              bia[i]=cr.getPartialImage(c.getIndex());
    }
    c=ca[len-1];
    bia[len-1]=cr.getImage(c.getIndex());
    /**/
    x=-20;
    for ( int i=0; i<len; ++i ) {
      x += 20;
      g.drawImage(bia[i],x,0,this);
    }
    /**/
    return;
  }
}
