import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import javax.swing.JLabel;
import javax.swing.JPanel;
/**/
public class MainPanel extends JPanel {
  /**/
  private ButtonPanel bp;
  private ComputerStatus cs;
  private DeckReadoutPanel drp;
  private GameStatusPanel gsp;
  private MainWindow mw;
  private ScorePanel sp;
  /**/
  public MainPanel ( MainWindow mw ) {
    /**/
    super();
    this.mw=mw;
    /**/
    cs=new ComputerStatus();
    bp=new ButtonPanel();
    gsp=new GameStatusPanel();
    sp=new ScorePanel();
    drp=new DeckReadoutPanel();
    /**/
    init();
  }
  /**/
  public ScorePanel getScorePanel () {
    return sp;
  }
  /**/
  public ComputerStatus getComputerStatus () {
    return cs;
  }
  /**/
  public ButtonPanel getButtonPanel () {
    return bp;
  }
  /**/
  public DeckReadoutPanel getDeckReadoutPanel () {
    return drp;
  }
  /**/
  public GameStatusPanel getGameStatusPanel () {
    return gsp;
  }
  /**/
  private void init () {
    /**/
    int gridx, gridy, gridwidth, gridheight, anchor, fill, ipadx, ipady;
    double weightx, weighty;
    GridBagLayout gbl;
    HandPanel chp, php;
    Insets insets;
    JLabel l1, l2;
    /**/
    l1=new JLabel("Computer:");
    l2=new JLabel("Player:");
    /**/
    gbl=new GridBagLayout();
    setLayout(gbl);
    /**/
    fill=GridBagConstraints.NONE;  ipadx=0;  ipady=0;
    insets=new Insets(2,2,2,2);
    /*
     * l1
     */
    gridx=0;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.0;  weighty=0.5;
    anchor=GridBagConstraints.SOUTHWEST;
    /**/
    gbl.setConstraints(l1,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(l1);
    /*
     *  chp
     */
    chp=mw.getComputerHandPanel();
    gridx=0;  gridy=1;  gridwidth=1;  gridheight=1;
    weightx=0.0;  weighty=0.0;
    anchor=GridBagConstraints.WEST;
    /**/
    gbl.setConstraints(chp,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(chp);
    /*
     * l2
     */
    gridx=0;  gridy=2;  gridwidth=1;  gridheight=1;
    weightx=0.0;  weighty=0.0;
    anchor=GridBagConstraints.WEST;
    /**/
    gbl.setConstraints(l2,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(l2);
    /*
     *  php
     */
    php=mw.getPlayerHandPanel();
    gridx=0;  gridy=3;  gridwidth=1;  gridheight=1;
    weightx=0.0;  weighty=0.0;
    anchor=GridBagConstraints.WEST;
    /**/
    gbl.setConstraints(php,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(php);
    /*
     *  gsp
     */
    gridx=0;  gridy=4;  gridwidth=2;  gridheight=1;
    weightx=1.0;  weighty=0.0;
    anchor=GridBagConstraints.NORTH;
    /**/
    gbl.setConstraints(gsp,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(gsp);
    /*
     *  sp
     */
    gridx=0;  gridy=5;  gridwidth=1;  gridheight=1;
    weightx=0.0;  weighty=0.5;
    anchor=GridBagConstraints.NORTHWEST;
    /**/
    gbl.setConstraints(sp,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(sp);
    /*
     *  cs
     */
    gridx=1;  gridy=0;  gridwidth=1;  gridheight=2;
    weightx=1.0;  weighty=0.5;
    anchor=GridBagConstraints.SOUTHWEST;
    /**/
    gbl.setConstraints(cs,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(cs);
    /*
     *  bp
     */
    gridx=1;  gridy=2;  gridwidth=1;  gridheight=2;
    weightx=1.0;  weighty=0.0;
    anchor=GridBagConstraints.WEST;
    /**/
    gbl.setConstraints(bp,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(bp);
    /*
     *  drp
     */
    gridx=1;  gridy=5;  gridwidth=1;  gridheight=1;
    weightx=1.0;  weighty=0.5;
    anchor=GridBagConstraints.NORTHWEST;
    /**/
    gbl.setConstraints(drp,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(drp);
    /**/
    return;
  }
}
