import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JMenuItem;
/**/
public class MenuCallBacks implements ActionListener {
  /**/
  private GameLogic gl;
  private JMenuItem about, playAgain, exit;
  private MainWindow mw;
  /**/
  public MenuCallBacks ( MainWindow mw, GameLogic gl ) {
    /**/
    MainMenu mm;
    /**/
    this.mw=mw;
    this.gl=gl;
    mm=mw.getMainMenu();
    /**/
    about=mm.getAboutItem();
    about.addActionListener(this);
    /**/
    playAgain=mm.getPlayAgainItem();
    playAgain.addActionListener(this);
    /**/
    exit=mm.getExitItem();
    exit.addActionListener(this);
  }
  /**/
  public void actionPerformed ( ActionEvent ae ) {
    /**/
    JMenuItem source;
    /**/
    source=(JMenuItem)ae.getSource();
    if      ( source == about     ) doAbout();
    else if ( source == playAgain ) doPlayAgain();
    else if ( source == exit      ) System.exit(0);
    /**/
    return;
  }
  /**/
  private void doAbout () {
    /**/
    String [] info = new String [] {
      "                                                  "   ,
      "               T w e n t y   O n e                "   ,
      "                                                  "   ,
      "                   Written  by                    "   ,
      "     Stephen V. Harren (http://www.harren.us)     "   ,
      "       Copyright 2021. All rights reserved.       "   ,
      "                                                  "   ,
      "    This program, along with its source code,     "   ,
      " is distributed \"as is\". No liability is assumed. " ,
      "                                                  "
    };
    /**/
    InfoDialog id=new InfoDialog(mw,"About",info);
    id.popUp();
    /**/
    return;
  }
  /**/
  private void doPlayAgain () {
    /**/
    gl.reset();
    /**/
    return;
  }
}
