import java.awt.Color;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import javax.swing.JLabel;
import javax.swing.JPanel;
/**/
public class ScorePanel extends JPanel {
  /**/
  private ScoreReadout computerReadout, playerReadout;
  /**/
  public ScorePanel () {
    /**/
    super();
    setFocusable(false);
    /**/
    computerReadout=new ScoreReadout("Computer");
    playerReadout=new ScoreReadout("Player");
    /**/
    initLayout();
  }
  /**/
  public ScoreReadout getComputerReadout () {
    return computerReadout;
  }
  /**/
  public ScoreReadout getPlayerReadout () {
    return playerReadout;
  }
  /**/
  private void initLayout () {
    /**/
    JLabel label=new JLabel("Score:");
    label.setForeground( new Color(0x000099) );
    /**/
    GridBagLayout gbl=new GridBagLayout();
    setLayout(gbl);
    /**/
    int gridx, gridy, gridwidth, gridheight, anchor, fill, ipadx, ipady;
    Insets insets;
    double weightx, weighty;
    /**/
    fill=GridBagConstraints.NONE;  ipadx=0;  ipady=0;
    insets=new Insets(2,2,2,2);
    /*
     *  label
     */
    gridx=0;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.5;  weighty=1.0;
    anchor=GridBagConstraints.EAST;
    /**/
    gbl.setConstraints(label,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(label);
    /*
     *  computerReadout
     */
    gridx=1;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.0;  weighty=1.0;
    anchor=GridBagConstraints.CENTER;
    /**/
    gbl.setConstraints(computerReadout,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(computerReadout);
    /*
     *  playerReadout
     */
    gridx=2;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.5;  weighty=1.0;
    anchor=GridBagConstraints.WEST;
    /**/
    gbl.setConstraints(playerReadout,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(playerReadout);
    /**/
    return;
  }
}
